//+------------------------------------------------------------------+
//|                                                  Hedge_Kross.mq4 |
//|                                     Copyright  2012, V. Hlystov |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, V. Hlystov"
#property link      "http://www.metaquotes.net/"


#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 Red
#property indicator_color2 Blue
#property indicator_color3 White
extern int    ControlBars   = 70;               //  
extern double K             = 1;                //   ,      
                                                // =0,   = ,  =1,   =   
extern int    Dist          = 0;                //       
                                                // Dist=0,   ,     ()
color         MaxColor      = indicator_color1;  
color         MinColor      = indicator_color2;  
color         AverageColor  = indicator_color3;  
double Buffer_1[];
double Buffer_2[];
double Buffer_3[];
//+------------------------------------------------------------------+
int init()
  {
   SetIndexBuffer(0,Buffer_1);
   SetIndexBuffer(1,Buffer_2);
   SetIndexBuffer(2,Buffer_3);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexLabel(0,"Max");
   SetIndexLabel(1,"Min");
   SetIndexLabel(2,"Average");
   return(0);
  }
//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }
//+------------------------------------------------------------------+
int start()
  {
//+------------------------------------------------------------------+
   for(int h=0; h<=Bars-ControlBars; h++)
   {
   int BarsWind;
   if (ControlBars!=0) BarsWind=ControlBars; else BarsWind=WindowFirstVisibleBar();
   double High_Win = iHigh(NULL,0,iHighest(NULL,0,MODE_HIGH,BarsWind,h));
   double Low_Win  = iLow (NULL,0,iLowest (NULL,0,MODE_LOW, BarsWind,h));
   double Average  = (High_Win+Low_Win)/2;
//+------------------------------------------------------------------+
    if(Dist==0)
      {
       Buffer_1[h] = Average+(High_Win-Average)*K;
       Buffer_2[h] = Average-(Average-Low_Win)*K;
      }
    else
      {
       Buffer_1[h] = Average+Dist*Point;
       Buffer_2[h] = Average-Dist*Point;
      }
       Buffer_3[h] = Average;
   }  
   return(0);
  }
//+------------------------------------------------------------------+

